/*-
 * Copyright (c) 1998 Shin Takemura all rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote 
 *    products derived from this software without specific prior written 
 *    permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: necmg_fonts.c,v 1.1.4.1 1998/12/05 22:49:21 itojun Exp $
 *
 */
#ifdef NECMG
#include <sys/param.h>
#include <necmg/necmg/necmg.h>
#include <opt_necmg.h>

#define D0 0x00
#define D1 0xc0
#define D2 0x30
#define D3 0xf0
#define D4 0x0c
#define D5 0xcc
#define D6 0x3c
#define D7 0xfc
#define D8 0x03
#define D9 0xc3
#define Da 0x33
#define Db 0xf3
#define Dc 0x0f
#define Dd 0xcf
#define De 0x3f
#define Df 0xff

static unsigned char font_clB8x8_data[] = {
/*
COMMENT $XConsortium: clB8x8.bdf,v 1.2 94/04/11 12:07:01 gildea Exp $
COMMENT
COMMENT  Copyright 1989 Dale Schumacher, dal@syntel.mn.org
COMMENT                 399 Beacon Ave.
COMMENT                 St. Paul, MN  55104-3527
COMMENT
COMMENT  Permission to use, copy, modify, and distribute this software and
COMMENT  its documentation for any purpose and without fee is hereby
COMMENT  granted, provided that the above copyright notice appear in all
COMMENT  copies and that both that copyright notice and this permission
COMMENT  notice appear in supporting documentation, and that the name of
COMMENT  Dale Schumacher not be used in advertising or publicity pertaining to
COMMENT  distribution of the software without specific, written prior
COMMENT  permission.  Dale Schumacher makes no representations about the
COMMENT  suitability of this software for any purpose.  It is provided "as
COMMENT  is" without express or implied warranty.
*/
/* code 00 */    Df,Df,Dd,Db,D0,D0,D0,D0,D0,D0,D8,D1,Dc,D3,Df,Df,
/* code 01 */    D0,D8,D1,D4,D2,D2,D7,D7,D1,D4,D1,D4,D1,D4,D1,Dc,
/* code 02 */    D1,Dc,D1,D4,D1,D4,D1,D4,D7,D7,D2,D2,D1,D4,D0,D8,
/* code 03 */    D0,D8,D0,Dc,D7,Da,D4,D1,D7,Da,D0,Dc,D0,D8,D0,D0,
/* code 04 */    D0,D8,D1,D8,D2,Df,D4,D1,D2,Df,D1,D8,D0,D8,D0,D0,
/* code 05 */    D3,De,D5,Dd,D6,Db,D7,D7,D6,Db,D5,Dd,D3,De,D0,D0,
/* code 06 */    D7,Df,D7,Df,D7,Df,D7,De,D7,Dd,D7,Db,D7,D7,D0,D0,
/* code 07 */    D7,D7,D6,Db,D5,Dd,D3,De,D5,Dd,D6,Db,D7,D7,D0,D0,
/* code 08 */    D6,D0,D5,D0,D6,D0,D5,D3,D6,D4,D0,D2,D0,D1,D0,D6,
/* code 09 */    D5,D0,D5,D0,D7,D0,D5,D7,D5,D2,D0,D2,D0,D2,D0,D2,
/* code 0a */    D4,D0,D4,D0,D4,D0,D4,D7,D7,D4,D0,D6,D0,D4,D0,D4,
/* code 0b */    D5,D0,D5,D0,D5,D0,D2,D7,D2,D2,D0,D2,D0,D2,D0,D2,
/* code 0c */    D7,D0,D4,D0,D6,D0,D4,D7,D4,D4,D0,D6,D0,D4,D0,D4,
/* code 0d */    D3,D0,D4,D0,D4,D0,D4,D6,D3,D5,D0,D6,D0,D5,D0,D5,
/* code 0e */    D0,D5,D0,D5,D0,D5,D0,Dd,D0,Dd,D1,D9,D7,D9,D7,D1,
/* code 0f */    Da,D0,Da,D0,Da,D0,Db,D0,Db,D0,D9,D8,D9,De,D8,De,
/* code 10 */    D1,D8,D6,D6,D6,D6,D0,D0,D6,D6,D6,D6,D1,D8,D0,D0,
/* code 11 */    D0,D0,D0,D6,D0,D6,D0,D0,D0,D6,D0,D6,D0,D0,D0,D0,
/* code 12 */    D1,D8,D0,D6,D0,D6,D1,D8,D6,D0,D6,D0,D1,D8,D0,D0,
/* code 13 */    D1,D8,D0,D6,D0,D6,D1,D8,D0,D6,D0,D6,D1,D8,D0,D0,
/* code 14 */    D0,D0,D6,D6,D6,D6,D1,D8,D0,D6,D0,D6,D0,D0,D0,D0,
/* code 15 */    D1,D8,D6,D0,D6,D0,D1,D8,D0,D6,D0,D6,D1,D8,D0,D0,
/* code 16 */    D1,D8,D6,D0,D6,D0,D1,D8,D6,D6,D6,D6,D1,D8,D0,D0,
/* code 17 */    D1,D8,D0,D6,D0,D6,D0,D0,D0,D6,D0,D6,D0,D0,D0,D0,
/* code 18 */    D1,D8,D6,D6,D6,D6,D1,D8,D6,D6,D6,D6,D1,D8,D0,D0,
/* code 19 */    D1,D8,D6,D6,D6,D6,D1,D8,D0,D6,D0,D6,D1,D8,D0,D0,
/* code 1a */    D0,D0,D0,D0,D3,De,D0,D3,D7,Df,D6,D3,D3,De,D0,D0,
/* code 1b */    D7,D0,D4,D0,D7,D0,D4,D3,D7,D4,D0,D4,D0,D4,D0,D3,
/* code 1c */    D0,D7,D0,Df,D1,Df,D1,D8,D1,D8,D1,D0,D1,De,D1,D7,
/* code 1d */    Df,D0,Df,D8,De,Dc,D0,D4,D0,D4,D0,D4,D3,Dc,D5,D4,
/* code 1e */    D1,D1,D0,Db,D0,Dd,D0,D6,D0,D7,D2,De,D3,D9,D3,D8,
/* code 1f */    D0,D4,D2,D8,Dd,D8,D2,D8,Dd,D0,D1,D0,De,D0,D0,D0,
/* code 20 */    D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 21 */    D1,D8,D1,D8,D1,D8,D1,D8,D1,D8,D1,D8,D0,D0,D1,D8,
/* code 22 */    D1,D4,D1,D4,D1,D4,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 23 */    D0,D0,D2,D4,D7,De,D2,D4,D2,D4,D7,De,D2,D4,D0,D0,
/* code 24 */    D0,D8,D1,De,D2,D8,D1,Dc,D0,Da,D3,Dc,D0,D8,D0,D0,
/* code 25 */    D2,D0,D5,D2,D2,D4,D0,D8,D1,D2,D2,D5,D0,D2,D0,D0,
/* code 26 */    D3,D8,D4,D0,D2,D0,D3,D0,D4,Da,D4,D4,D3,Da,D0,D0,
/* code 27 */    D0,Dc,D0,D8,D1,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 28 */    D0,Dc,D1,D8,D3,D0,D3,D0,D3,D0,D1,D8,D0,Dc,D0,D0,
/* code 29 */    D1,D8,D0,Dc,D0,D6,D0,D6,D0,D6,D0,Dc,D1,D8,D0,D0,
/* code 2a */    D0,D8,D0,D8,D6,Db,D1,Dc,D0,D8,D1,D4,D2,D2,D0,D0,
/* code 2b */    D0,D8,D0,D8,D0,D8,D7,Df,D0,D8,D0,D8,D0,D8,D0,D0,
/* code 2c */    D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D1,D8,D1,D0,D2,D0,
/* code 2d */    D0,D0,D0,D0,D0,D0,D7,Df,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 2e */    D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D1,D8,D1,D8,D0,D0,
/* code 2f */    D0,D4,D0,D4,D0,D8,D0,D8,D1,D0,D1,D0,D2,D0,D2,D0,
/* code 30 */    D3,Dc,D6,D6,D6,D6,D6,D6,D6,D6,D6,D6,D3,Dc,D0,D0,
/* code 31 */    D0,Dc,D1,Dc,D0,Dc,D0,Dc,D0,Dc,D0,Dc,D0,Dc,D0,D0,
/* code 32 */    D3,Dc,D6,D6,D0,D6,D0,Dc,D1,D8,D3,D0,D7,De,D0,D0,
/* code 33 */    D3,Dc,D6,D6,D0,D6,D1,Dc,D0,D6,D6,D6,D3,Dc,D0,D0,
/* code 34 */    D0,Dc,D1,Dc,D3,Dc,D6,Dc,D7,De,D0,Dc,D1,De,D0,D0,
/* code 35 */    D7,De,D6,D0,D7,Dc,D0,D6,D0,D6,D6,D6,D3,Dc,D0,D0,
/* code 36 */    D1,Dc,D3,D0,D6,D0,D7,Dc,D6,D6,D6,D6,D3,Dc,D0,D0,
/* code 37 */    D7,De,D6,D6,D0,D6,D0,Dc,D0,Dc,D1,D8,D1,D8,D0,D0,
/* code 38 */    D3,Dc,D6,D6,D6,D6,D3,Dc,D6,D6,D6,D6,D3,Dc,D0,D0,
/* code 39 */    D3,Dc,D6,D6,D6,D6,D3,De,D0,D6,D0,Dc,D3,D8,D0,D0,
/* code 3a */    D0,D0,D1,D8,D1,D8,D0,D0,D0,D0,D1,D8,D1,D8,D0,D0,
/* code 3b */    D0,D0,D1,D8,D1,D8,D0,D0,D0,D0,D1,D8,D1,D0,D2,D0,
/* code 3c */    D0,D0,D0,D7,D1,Dc,D7,D0,D1,Dc,D0,D7,D0,D0,D0,D0,
/* code 3d */    D0,D0,D0,D0,D7,Df,D0,D0,D0,D0,D7,Df,D0,D0,D0,D0,
/* code 3e */    D0,D0,D7,D0,D1,Dc,D0,D7,D1,Dc,D7,D0,D0,D0,D0,D0,
/* code 3f */    D3,Dc,D6,D6,D0,D6,D0,Dc,D1,D8,D0,D0,D1,D8,D0,D0,
/* code 40 */    D3,De,D4,D1,D5,Dd,D5,D5,D5,De,D4,D0,D3,De,D0,D0,
/* code 41 */    D1,D8,D1,D8,D3,Dc,D3,D4,D7,De,D6,D2,De,D3,D0,D0,
/* code 42 */    D7,De,D6,D3,D6,D3,D7,De,D6,D3,D6,D3,D7,De,D0,D0,
/* code 43 */    D1,De,D3,D3,D6,D0,D6,D0,D6,D0,D3,D3,D1,De,D0,D0,
/* code 44 */    D7,Dc,D6,D6,D6,D3,D6,D3,D6,D3,D6,D6,D7,Dc,D0,D0,
/* code 45 */    D7,Df,D6,D0,D6,D0,D7,Dc,D6,D0,D6,D0,D7,Df,D0,D0,
/* code 46 */    D7,Df,D6,D0,D6,D0,D7,Dc,D6,D0,D6,D0,D6,D0,D0,D0,
/* code 47 */    D1,De,D3,D3,D6,D0,D6,D0,D6,D7,D3,D3,D1,Df,D0,D0,
/* code 48 */    D6,D3,D6,D3,D6,D3,D7,Df,D6,D3,D6,D3,D6,D3,D0,D0,
/* code 49 */    D7,De,D1,D8,D1,D8,D1,D8,D1,D8,D1,D8,D7,De,D0,D0,
/* code 4a */    D1,De,D0,D6,D0,D6,D0,D6,D6,D6,D6,D6,D3,Dc,D0,D0,
/* code 4b */    D6,D3,D6,D6,D6,Dc,D7,D8,D6,Dc,D6,D6,D6,D3,D0,D0,
/* code 4c */    D6,D0,D6,D0,D6,D0,D6,D0,D6,D0,D6,D0,D7,De,D0,D0,
/* code 4d */    D6,D3,D6,D3,D7,D7,D6,Db,D6,Db,D6,D3,D6,D3,D0,D0,
/* code 4e */    D6,D3,D7,D3,D7,D3,D6,Db,D6,Db,D6,D7,D6,D3,D0,D0,
/* code 4f */    D1,Dc,D3,D6,D6,D3,D6,D3,D6,D3,D3,D6,D1,Dc,D0,D0,
/* code 50 */    D7,De,D6,D3,D6,D3,D7,De,D6,D0,D6,D0,D6,D0,D0,D0,
/* code 51 */    D1,Dc,D3,D6,D6,D3,D6,D3,D6,D3,D3,D6,D1,Dc,D0,D6,
/* code 52 */    D7,De,D6,D3,D6,D3,D7,De,D6,Dc,D6,D6,D6,D3,D0,D0,
/* code 53 */    D3,De,D6,D3,D6,D0,D3,De,D0,D3,D6,D3,D3,De,D0,D0,
/* code 54 */    D7,De,D1,D8,D1,D8,D1,D8,D1,D8,D1,D8,D1,D8,D0,D0,
/* code 55 */    D6,D3,D6,D3,D6,D3,D6,D3,D6,D3,D6,D3,D3,De,D0,D0,
/* code 56 */    D6,D3,D6,D3,D6,D3,D3,D6,D3,D6,D1,Dc,D1,Dc,D0,D0,
/* code 57 */    D6,D3,D6,D3,D6,Db,D6,Db,D6,Db,D7,D7,D6,D3,D0,D0,
/* code 58 */    D6,D6,D6,D6,D3,Dc,D1,D8,D3,Dc,D6,D6,D6,D6,D0,D0,
/* code 59 */    D6,D6,D6,D6,D3,Dc,D1,D8,D1,D8,D1,D8,D1,D8,D0,D0,
/* code 5a */    D7,De,D0,D6,D0,Dc,D1,D8,D3,D0,D6,D0,D7,De,D0,D0,
/* code 5b */    D1,De,D1,D8,D1,D8,D1,D8,D1,D8,D1,D8,D1,De,D0,D0,
/* code 5c */    D2,D0,D2,D0,D1,D0,D1,D0,D0,D8,D0,D8,D0,D4,D0,D4,
/* code 5d */    D3,Dc,D0,Dc,D0,Dc,D0,Dc,D0,Dc,D0,Dc,D3,Dc,D0,D0,
/* code 5e */    D1,D8,D3,D4,D6,D2,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 5f */    D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D7,Df,D0,D0,
/* code 60 */    D1,D8,D0,D8,D0,D4,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 61 */    D0,D0,D0,D0,D3,Df,D6,D3,D6,D3,D6,D7,D3,Db,D0,D0,
/* code 62 */    D6,D0,D6,D0,D7,De,D6,D3,D6,D3,D6,D3,D7,De,D0,D0,
/* code 63 */    D0,D0,D0,D0,D3,De,D6,D0,D6,D0,D6,D0,D3,De,D0,D0,
/* code 64 */    D0,D3,D0,D3,D3,Df,D6,D3,D6,D3,D6,D3,D3,Df,D0,D0,
/* code 65 */    D0,D0,D0,D0,D3,De,D6,D3,D7,Df,D6,D0,D3,De,D0,D0,
/* code 66 */    D1,De,D3,D0,D7,Dc,D3,D0,D3,D0,D3,D0,D3,D0,D0,D0,
/* code 67 */    D0,D0,D0,D0,D3,Df,D6,D3,D6,D3,D3,Df,D0,D3,D3,De,
/* code 68 */    D6,D0,D6,D0,D7,De,D6,D3,D6,D3,D6,D3,D6,D3,D0,D0,
/* code 69 */    D1,D8,D0,D0,D7,D8,D1,D8,D1,D8,D1,D8,D7,De,D0,D0,
/* code 6a */    D0,D6,D0,D0,D1,De,D0,D6,D0,D6,D0,D6,D0,D6,D3,Dc,
/* code 6b */    D6,D0,D6,D0,D6,D6,D6,Dc,D7,D8,D6,Dc,D6,D6,D0,D0,
/* code 6c */    D3,D8,D1,D8,D1,D8,D1,D8,D1,D8,D1,D8,D3,Dc,D0,D0,
/* code 6d */    D0,D0,D0,D0,D7,D6,D6,Db,D6,Db,D6,Db,D6,D3,D0,D0,
/* code 6e */    D0,D0,D0,D0,D6,De,D7,D3,D6,D3,D6,D3,D6,D3,D0,D0,
/* code 6f */    D0,D0,D0,D0,D3,De,D6,D3,D6,D3,D6,D3,D3,De,D0,D0,
/* code 70 */    D0,D0,D0,D0,D7,De,D6,D3,D6,D3,D6,D3,D7,De,D6,D0,
/* code 71 */    D0,D0,D0,D0,D3,Df,D6,D3,D6,D3,D6,D3,D3,Df,D0,D3,
/* code 72 */    D0,D0,D0,D0,D6,De,D7,D0,D6,D0,D6,D0,D6,D0,D0,D0,
/* code 73 */    D0,D0,D0,D0,D3,De,D6,D0,D3,Dc,D0,D6,D7,Dc,D0,D0,
/* code 74 */    D1,D8,D1,D8,D7,De,D1,D8,D1,D8,D1,D8,D0,De,D0,D0,
/* code 75 */    D0,D0,D0,D0,D6,D3,D6,D3,D6,D3,D6,D7,D3,Db,D0,D0,
/* code 76 */    D0,D0,D0,D0,D7,D7,D3,D6,D3,D6,D1,Dc,D1,Dc,D0,D0,
/* code 77 */    D0,D0,D0,D0,D6,D3,D6,Db,D6,Db,D6,Db,D3,D6,D0,D0,
/* code 78 */    D0,D0,D0,D0,D6,D6,D3,Dc,D1,D8,D3,Dc,D6,D6,D0,D0,
/* code 79 */    D0,D0,D0,D0,D6,D6,D6,D6,D6,D6,D3,De,D0,D6,D3,Dc,
/* code 7a */    D0,D0,D0,D0,D7,De,D0,Dc,D1,D8,D3,D0,D7,De,D0,D0,
/* code 7b */    D0,De,D1,D8,D1,D8,D3,D0,D1,D8,D1,D8,D0,De,D0,D0,
/* code 7c */    D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D0,
/* code 7d */    D3,D8,D0,Dc,D0,Dc,D0,D6,D0,Dc,D0,Dc,D3,D8,D0,D0,
/* code 7e */    D3,D1,D4,D9,D4,D6,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 7f */    D0,D0,D1,D8,D1,D8,D3,D4,D3,D4,D6,D2,D7,De,D0,D0,
};
static unsigned char font_clR8x8_data[] = {
/*
COMMENT $XConsortium: clR8x8.bdf,v 1.2 94/04/11 12:08:54 gildea Exp $
COMMENT
COMMENT  Copyright 1989 Dale Schumacher, dal@syntel.mn.org
COMMENT                 399 Beacon Ave.
COMMENT                 St. Paul, MN  55104-3527
COMMENT
COMMENT  Permission to use, copy, modify, and distribute this software and
COMMENT  its documentation for any purpose and without fee is hereby
COMMENT  granted, provided that the above copyright notice appear in all
COMMENT  copies and that both that copyright notice and this permission
COMMENT  notice appear in supporting documentation, and that the name of
COMMENT  Dale Schumacher not be used in advertising or publicity pertaining to
COMMENT  distribution of the software without specific, written prior
COMMENT  permission.  Dale Schumacher makes no representations about the
COMMENT  suitability of this software for any purpose.  It is provided "as
COMMENT  is" without express or implied warranty.
*/
/* code 00 */    D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 01 */    D0,D8,D1,D4,D2,D2,D7,D7,D1,D4,D1,D4,D1,D4,D1,Dc,
/* code 02 */    D1,Dc,D1,D4,D1,D4,D1,D4,D7,D7,D2,D2,D1,D4,D0,D8,
/* code 03 */    D0,D8,D0,Dc,D7,Da,D4,D1,D7,Da,D0,Dc,D0,D8,D0,D0,
/* code 04 */    D0,D8,D1,D8,D2,Df,D4,D1,D2,Df,D1,D8,D0,D8,D0,D0,
/* code 05 */    D3,De,D5,Dd,D6,Db,D7,D7,D6,Db,D5,Dd,D3,De,D0,D0,
/* code 06 */    D7,Df,D7,Df,D7,Df,D7,De,D7,Dd,D7,Db,D7,D7,D0,D0,
/* code 07 */    D7,D7,D6,Db,D5,Dd,D3,De,D5,Dd,D6,Db,D7,D7,D0,D0,
/* code 08 */    D6,D0,D5,D0,D6,D0,D5,D3,D6,D4,D0,D2,D0,D1,D0,D6,
/* code 09 */    D5,D0,D5,D0,D7,D0,D5,D7,D5,D2,D0,D2,D0,D2,D0,D2,
/* code 0a */    D4,D0,D4,D0,D4,D0,D4,D7,D7,D4,D0,D6,D0,D4,D0,D4,
/* code 0b */    D5,D0,D5,D0,D5,D0,D2,D7,D2,D2,D0,D2,D0,D2,D0,D2,
/* code 0c */    D7,D0,D4,D0,D6,D0,D4,D7,D4,D4,D0,D6,D0,D4,D0,D4,
/* code 0d */    D3,D0,D4,D0,D4,D0,D4,D6,D3,D5,D0,D6,D0,D5,D0,D5,
/* code 0e */    D0,D5,D0,D5,D0,D5,D0,Dd,D0,Dd,D0,Dd,D1,D9,D7,D9,
/* code 0f */    Da,D0,Da,D0,Da,D0,Db,D0,Db,D0,Db,D0,D9,D8,D9,De,
/* code 10 */    D1,D8,D4,D2,D4,D2,D0,D0,D4,D2,D4,D2,D1,D8,D0,D0,
/* code 11 */    D0,D0,D0,D2,D0,D2,D0,D0,D0,D2,D0,D2,D0,D0,D0,D0,
/* code 12 */    D1,D8,D0,D2,D0,D2,D1,D8,D4,D0,D4,D0,D1,D8,D0,D0,
/* code 13 */    D1,D8,D0,D2,D0,D2,D1,D8,D0,D2,D0,D2,D1,D8,D0,D0,
/* code 14 */    D0,D0,D4,D2,D4,D2,D1,D8,D0,D2,D0,D2,D0,D0,D0,D0,
/* code 15 */    D1,D8,D4,D0,D4,D0,D1,D8,D0,D2,D0,D2,D1,D8,D0,D0,
/* code 16 */    D1,D8,D4,D0,D4,D0,D1,D8,D4,D2,D4,D2,D1,D8,D0,D0,
/* code 17 */    D1,D8,D0,D2,D0,D2,D0,D0,D0,D2,D0,D2,D0,D0,D0,D0,
/* code 18 */    D1,D8,D4,D2,D4,D2,D1,D8,D4,D2,D4,D2,D1,D8,D0,D0,
/* code 19 */    D1,D8,D4,D2,D4,D2,D1,D8,D0,D2,D0,D2,D1,D8,D0,D0,
/* code 1a */    D0,D0,D0,D0,D3,De,D0,D1,D7,Df,D4,D1,D3,De,D0,D0,
/* code 1b */    D7,D0,D4,D0,D7,D0,D4,D3,D7,D4,D0,D4,D0,D4,D0,D3,
/* code 1c */    D0,D7,D0,Df,D1,Df,D1,D8,D1,D8,D1,D0,D1,De,D1,D7,
/* code 1d */    Df,D0,Df,D8,De,Dc,D0,D4,D0,D4,D0,D4,D3,Dc,D5,D4,
/* code 1e */    D1,D1,D0,Db,D0,Dd,D0,D6,D0,D7,D2,De,D3,D9,D3,D8,
/* code 1f */    D0,D4,D2,D8,Dd,D8,D2,D8,Dd,D0,D1,D0,De,D0,D0,D0,
/* code 20 */    D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 21 */    D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D0,D0,D8,D0,D0,
/* code 22 */    D1,D4,D1,D4,D1,D4,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 23 */    D1,D4,D1,D4,D3,De,D1,D4,D3,De,D1,D4,D1,D4,D0,D0,
/* code 24 */    D0,D8,D1,De,D2,D8,D1,Dc,D0,Da,D3,Dc,D0,D8,D0,D0,
/* code 25 */    D2,D2,D5,D4,D2,D4,D0,D8,D1,D2,D1,D5,D2,D2,D0,D0,
/* code 26 */    D3,D8,D4,D0,D2,D0,D3,D0,D4,Da,D4,D4,D3,Da,D0,D0,
/* code 27 */    D0,Dc,D0,D8,D1,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 28 */    D0,D4,D0,D8,D1,D0,D1,D0,D1,D0,D0,D8,D0,D4,D0,D0,
/* code 29 */    D1,D0,D0,D8,D0,D4,D0,D4,D0,D4,D0,D8,D1,D0,D0,D0,
/* code 2a */    D0,D8,D0,D8,D6,Db,D1,Dc,D0,D8,D1,D4,D2,D2,D0,D0,
/* code 2b */    D0,D8,D0,D8,D0,D8,D7,Df,D0,D8,D0,D8,D0,D8,D0,D0,
/* code 2c */    D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D1,D8,D1,D0,D2,D0,
/* code 2d */    D0,D0,D0,D0,D0,D0,D7,Df,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 2e */    D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D1,D8,D1,D8,D0,D0,
/* code 2f */    D0,D4,D0,D4,D0,D8,D0,D8,D1,D0,D1,D0,D2,D0,D2,D0,
/* code 30 */    D3,Dc,D4,D2,D4,D2,D4,D2,D4,D2,D4,D2,D3,Dc,D0,D0,
/* code 31 */    D0,D8,D1,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D0,
/* code 32 */    D3,Dc,D4,D2,D0,D4,D0,D8,D1,D0,D2,D0,D7,De,D0,D0,
/* code 33 */    D3,Dc,D4,D2,D0,D2,D1,Dc,D0,D2,D4,D2,D3,Dc,D0,D0,
/* code 34 */    D0,D4,D0,Dc,D1,D4,D2,D4,D7,De,D0,D4,D0,De,D0,D0,
/* code 35 */    D7,De,D4,D0,D4,D0,D7,Dc,D0,D2,D0,D2,D7,Dc,D0,D0,
/* code 36 */    D1,Dc,D2,D0,D4,D0,D7,Dc,D4,D2,D4,D2,D3,Dc,D0,D0,
/* code 37 */    D7,De,D0,D2,D0,D4,D0,D4,D0,D8,D0,D8,D1,D0,D0,D0,
/* code 38 */    D3,Dc,D4,D2,D4,D2,D3,Dc,D4,D2,D4,D2,D3,Dc,D0,D0,
/* code 39 */    D3,Dc,D4,D2,D4,D2,D3,De,D0,D2,D0,D4,D3,D8,D0,D0,
/* code 3a */    D0,D0,D1,D8,D1,D8,D0,D0,D0,D0,D1,D8,D1,D8,D0,D0,
/* code 3b */    D0,D0,D1,D8,D1,D8,D0,D0,D0,D0,D1,D8,D1,D0,D2,D0,
/* code 3c */    D0,D0,D0,D6,D1,D8,D6,D0,D1,D8,D0,D6,D0,D0,D0,D0,
/* code 3d */    D0,D0,D0,D0,D7,Df,D0,D0,D0,D0,D7,Df,D0,D0,D0,D0,
/* code 3e */    D0,D0,D6,D0,D1,D8,D0,D6,D1,D8,D6,D0,D0,D0,D0,D0,
/* code 3f */    D1,Dc,D2,D2,D0,D2,D0,D4,D0,D8,D0,D0,D0,D8,D0,D0,
/* code 40 */    D1,Dc,D2,D2,D4,D9,D5,D5,D4,Da,D2,D0,D1,Dc,D0,D0,
/* code 41 */    D0,D8,D0,D8,D1,Dc,D1,D4,D3,De,D2,D2,D6,D3,D0,D0,
/* code 42 */    D7,De,D4,D1,D4,D1,D7,De,D4,D1,D4,D1,D7,De,D0,D0,
/* code 43 */    D1,De,D2,D1,D4,D0,D4,D0,D4,D0,D2,D1,D1,De,D0,D0,
/* code 44 */    D7,Dc,D4,D2,D4,D1,D4,D1,D4,D1,D4,D2,D7,Dc,D0,D0,
/* code 45 */    D7,Df,D4,D0,D4,D0,D7,Dc,D4,D0,D4,D0,D7,Df,D0,D0,
/* code 46 */    D7,Df,D4,D0,D4,D0,D7,Dc,D4,D0,D4,D0,D4,D0,D0,D0,
/* code 47 */    D1,De,D2,D1,D4,D0,D4,D7,D4,D1,D2,D1,D1,Df,D0,D0,
/* code 48 */    D4,D1,D4,D1,D4,D1,D7,Df,D4,D1,D4,D1,D4,D1,D0,D0,
/* code 49 */    D3,De,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D3,De,D0,D0,
/* code 4a */    D0,De,D0,D2,D0,D2,D0,D2,D4,D2,D4,D2,D3,Dc,D0,D0,
/* code 4b */    D4,D2,D4,D4,D4,D8,D7,D0,D4,D8,D4,D4,D4,D2,D0,D0,
/* code 4c */    D4,D0,D4,D0,D4,D0,D4,D0,D4,D0,D4,D0,D7,De,D0,D0,
/* code 4d */    D4,D1,D6,D3,D5,D5,D4,D9,D4,D1,D4,D1,D4,D1,D0,D0,
/* code 4e */    D4,D1,D6,D1,D5,D1,D4,D9,D4,D5,D4,D3,D4,D1,D0,D0,
/* code 4f */    D1,Dc,D2,D2,D4,D1,D4,D1,D4,D1,D2,D2,D1,Dc,D0,D0,
/* code 50 */    D7,De,D4,D1,D4,D1,D7,De,D4,D0,D4,D0,D4,D0,D0,D0,
/* code 51 */    D1,Dc,D2,D2,D4,D1,D4,D1,D4,D1,D2,D2,D1,Dc,D0,D7,
/* code 52 */    D7,De,D4,D1,D4,D1,D7,De,D4,D4,D4,D2,D4,D1,D0,D0,
/* code 53 */    D3,De,D4,D1,D4,D0,D3,De,D0,D1,D4,D1,D3,De,D0,D0,
/* code 54 */    D7,Df,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D0,
/* code 55 */    D4,D1,D4,D1,D4,D1,D4,D1,D4,D1,D4,D1,D3,De,D0,D0,
/* code 56 */    D6,D3,D2,D2,D2,D2,D1,D4,D1,D4,D0,D8,D0,D8,D0,D0,
/* code 57 */    D4,D1,D4,D1,D4,D1,D4,D9,D5,D5,D6,D3,D4,D1,D0,D0,
/* code 58 */    D4,D1,D2,D2,D1,D4,D0,D8,D1,D4,D2,D2,D4,D1,D0,D0,
/* code 59 */    D4,D1,D2,D2,D1,D4,D0,D8,D0,D8,D0,D8,D0,D8,D0,D0,
/* code 5a */    D7,Df,D0,D2,D0,D4,D0,D8,D1,D0,D2,D0,D7,Df,D0,D0,
/* code 5b */    D0,De,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,De,D0,D0,
/* code 5c */    D2,D0,D2,D0,D1,D0,D1,D0,D0,D8,D0,D8,D0,D4,D0,D4,
/* code 5d */    D3,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D3,D8,D0,D0,
/* code 5e */    D0,D8,D1,D4,D2,D2,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 5f */    D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,D7,Df,
/* code 60 */    D1,D8,D0,D8,D0,D4,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 61 */    D0,D0,D0,D0,D3,Df,D4,D1,D4,D1,D4,D3,D3,Dd,D0,D0,
/* code 62 */    D4,D0,D4,D0,D7,De,D4,D1,D4,D1,D4,D1,D7,De,D0,D0,
/* code 63 */    D0,D0,D0,D0,D3,De,D4,D0,D4,D0,D4,D0,D3,De,D0,D0,
/* code 64 */    D0,D1,D0,D1,D3,Df,D4,D1,D4,D1,D4,D1,D3,Df,D0,D0,
/* code 65 */    D0,D0,D0,D0,D3,De,D4,D1,D7,Df,D4,D0,D3,De,D0,D0,
/* code 66 */    D1,De,D2,D0,D7,D8,D2,D0,D2,D0,D2,D0,D2,D0,D0,D0,
/* code 67 */    D0,D0,D0,D0,D3,Df,D4,D1,D4,D1,D3,Df,D0,D1,D3,De,
/* code 68 */    D4,D0,D4,D0,D7,De,D4,D1,D4,D1,D4,D1,D4,D1,D0,D0,
/* code 69 */    D0,D8,D0,D0,D3,D8,D0,D8,D0,D8,D0,D8,D3,De,D0,D0,
/* code 6a */    D0,D2,D0,D0,D1,De,D0,D2,D0,D2,D0,D2,D0,D2,D3,Dc,
/* code 6b */    D4,D0,D4,D0,D4,D6,D4,D8,D7,D0,D4,D8,D4,D6,D0,D0,
/* code 6c */    D1,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D1,Dc,D0,D0,
/* code 6d */    D0,D0,D0,D0,D7,D6,D4,D9,D4,D9,D4,D9,D4,D1,D0,D0,
/* code 6e */    D0,D0,D0,D0,D5,De,D6,D1,D4,D1,D4,D1,D4,D1,D0,D0,
/* code 6f */    D0,D0,D0,D0,D3,De,D4,D1,D4,D1,D4,D1,D3,De,D0,D0,
/* code 70 */    D0,D0,D0,D0,D7,De,D4,D1,D4,D1,D4,D1,D7,De,D4,D0,
/* code 71 */    D0,D0,D0,D0,D3,Df,D4,D1,D4,D1,D4,D1,D3,Df,D0,D1,
/* code 72 */    D0,D0,D0,D0,D2,De,D3,D0,D2,D0,D2,D0,D2,D0,D0,D0,
/* code 73 */    D0,D0,D0,D0,D3,De,D4,D0,D3,Dc,D0,D2,D7,Dc,D0,D0,
/* code 74 */    D1,D0,D1,D0,D7,De,D1,D0,D1,D0,D1,D0,D0,De,D0,D0,
/* code 75 */    D0,D0,D0,D0,D4,D1,D4,D1,D4,D1,D4,D3,D3,Dd,D0,D0,
/* code 76 */    D0,D0,D0,D0,D6,D3,D2,D2,D1,D4,D1,D4,D0,D8,D0,D0,
/* code 77 */    D0,D0,D0,D0,D4,D1,D4,D9,D4,D9,D4,D9,D3,D6,D0,D0,
/* code 78 */    D0,D0,D0,D0,D6,D3,D1,D4,D0,D8,D1,D4,D6,D3,D0,D0,
/* code 79 */    D0,D0,D0,D0,D4,D2,D4,D2,D4,D2,D3,De,D0,D2,D3,Dc,
/* code 7a */    D0,D0,D0,D0,D7,De,D0,D4,D1,D8,D2,D0,D7,De,D0,D0,
/* code 7b */    D0,D4,D0,D8,D0,D8,D1,D0,D0,D8,D0,D8,D0,D4,D0,D0,
/* code 7c */    D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D8,D0,D0,
/* code 7d */    D1,D0,D0,D8,D0,D8,D0,D4,D0,D8,D0,D8,D1,D0,D0,D0,
/* code 7e */    D3,D1,D4,D9,D4,D6,D0,D0,D0,D0,D0,D0,D0,D0,D0,D0,
/* code 7f */    D0,D0,D0,D8,D0,D8,D1,D4,D1,D4,D2,D2,D3,De,D0,D0,
};
#define font_clB8x8_nchars 128
#define font_clB8x8_width 8
#define font_clB8x8_height 8
#define font_clR8x8_nchars 128
#define font_clR8x8_width 8
#define font_clR8x8_height 8

struct necmg_font_s necmg_fonts[] = {
 { font_clR8x8_data, ((font_clR8x8_width + 7)/8)*2,
     font_clR8x8_height, font_clR8x8_nchars },
 { font_clB8x8_data, ((font_clB8x8_width + 7)/8)*2,
     font_clB8x8_height, font_clB8x8_nchars },
};

#endif /* NECMG */
